%ifarch alpha ia64 ppc64 s390x sparc64 x86_64
%global flavor gcc64
%else
%global flavor gcc32
%endif

Name:		globus-gram-client-tools
%global _name %(tr - _ <<< %{name})
Version:	10.4
Release:	alt1_3
Summary:	Globus Toolkit - Job Management Tools (globusrun)

Group:		Networking/WWW
License:	ASL 2.0
URL:		http://www.globus.org/
Source:		http://www.globus.org/ftppub/gt5/5.2/5.2.2/packages/src/%{_name}-%{version}.tar.gz
#		README file
Source8:	GLOBUS-GRAM5

Requires:	globus-gram-protocol%{?_isa} >= 11
Requires:	globus-common%{?_isa} >= 14
Requires:	globus-gass-server-ez%{?_isa} >= 4
Requires:	globus-gram-client%{?_isa} >= 12
Requires:	globus-gss-assist%{?_isa} >= 8
Requires:	globus-rsl%{?_isa} >= 9
Requires:	globus-gass-transfer%{?_isa} >= 7
Requires:	globus-common-progs >= 14
BuildRequires:	grid-packaging-tools >= 3.4
BuildRequires:	globus-core%{?_isa} >= 8
BuildRequires:	globus-gram-protocol-devel%{?_isa} >= 11
BuildRequires:	globus-common-devel%{?_isa} >= 14
BuildRequires:	globus-gass-server-ez-devel%{?_isa} >= 4
BuildRequires:	globus-gram-client-devel%{?_isa} >= 12
BuildRequires:	globus-gss-assist-devel%{?_isa} >= 8
BuildRequires:	globus-rsl-devel%{?_isa} >= 9
BuildRequires:	globus-gass-transfer-devel%{?_isa} >= 7
Source44: import.info

%description
The Globus Toolkit is an open source software toolkit used for building Grid
systems and applications. It is being developed by the Globus Alliance and
many others all over the world. A growing number of projects and companies are
using the Globus Toolkit to unlock the potential of grids for their cause.

The %{name} package contains:
Job Management Tools (globusrun)

%prep
%setup -q -n %{_name}-%{version}

%build
# Remove files that should be replaced during bootstrap
rm -f doxygen/Doxyfile*
rm -f doxygen/Makefile.am
rm -f pkgdata/Makefile.am
rm -f globus_automake*
rm -rf autom4te.cache

unset GLOBUS_LOCATION
unset GPT_LOCATION
%{_datadir}/globus/globus-bootstrap.sh

%configure --disable-static --with-flavor=%{flavor} \
	   --with-docdir=%{_docdir}/%{name}-%{version}

# Reduce overlinking
sed 's!CC -shared !CC \${wl}--as-needed -shared !g' -i libtool

make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}

GLOBUSPACKAGEDIR=%{buildroot}%{_datadir}/globus/packages

# Install README file
install -m 644 -p %{SOURCE8} %{buildroot}%{_docdir}/%{name}-%{version}/README

# Generate package filelists
cat $GLOBUSPACKAGEDIR/%{_name}/%{flavor}_pgm.filelist \
  | sed s!^!%{_prefix}! > package.filelist
cat $GLOBUSPACKAGEDIR/%{_name}/noflavor_doc.filelist \
  | sed -e 's!/man/.*!&*!' -e 's!^!%doc %{_prefix}!' >> package.filelist

%files -f package.filelist
%dir %{_datadir}/globus/packages/%{_name}
%dir %{_docdir}/%{name}-%{version}
%doc %{_docdir}/%{name}-%{version}/README
# hack; explicitly added docdir if not owned
%doc %dir %{_docdir}/%{name}-%{version}

%changelog
* Mon Mar 11 2013 Igor Vlasenko <viy@altlinux.ru> 10.4-alt1_3
- update to new release by fcimport

* Tue Jan 29 2013 Igor Vlasenko <viy@altlinux.ru> 10.4-alt1_2
- update to new release by fcimport

* Sat Jan 12 2013 Igor Vlasenko <viy@altlinux.ru> 10.4-alt1_1
- initial fc import

